# RUN: yaml2obj %s -o %t
# RUN: llvm-readobj --symbols %t | FileCheck %s

# CHECK: Name: notype
# CHECK: Type: None
# CHECK: Name: normal_type
# CHECK: Type: Object
# CHECK: Name: .text
# CHECK: Type: Section
# CHECK: Name: known_hex
# CHECK: Type: Object

# CHECK: Name: unknown_hex_11
# CHECK: Type: OS Specific (0xB)

# CHECK: Name: known_int
# CHECK: Type: Object
# CHECK: Name: unknown_int
# CHECK: Type: OS Specific (0xB)

!ELF
FileHeader:
  Class:           ELFCLASS64
  Data:            ELFDATA2LSB
  Type:            ET_REL
  Machine:         EM_X86_64
Sections:
  - Name: .text
    Type: SHT_PROGBITS
Symbols:
  - Name:    notype
    Type:    STT_NOTYPE
    Binding: STB_GLOBAL
  - Name:    normal_type
    Type:    STT_OBJECT
    Binding: STB_GLOBAL
  - Name:    .text
    Type:    STT_SECTION
    Binding: STB_GLOBAL
  - Name:    known_hex
    Type:    0x1
    Binding: STB_GLOBAL
  - Name:    unknown_hex_11
    Type:    0xb
    Binding: STB_GLOBAL
  - Name:    known_int
    Type:    1
    Binding: STB_GLOBAL
  - Name:    unknown_int
    Type:    11
    Binding: STB_GLOBAL
